# Uses of Enum Class
net.shibboleth.shared.net.CookieManager.SameSiteValue

Packages that use CookieManager.SameSiteValue
Package
Description
net.shibboleth.shared.net
Shared networking APIs and classes.

## Uses of CookieManager.SameSiteValue in net.shibboleth.shared.net

Fields in net.shibboleth.shared.net declared as CookieManager.SameSiteValue
Modifier and Type
Field
Description
`private CookieManager.SameSiteValue`
CookieManager.`defaultSameSite`
SameSite attribute.
Fields in net.shibboleth.shared.net with type parameters of type CookieManager.SameSiteValue
Modifier and Type
Field
Description
`private Map<String,CookieManager.SameSiteValue>`
CookieManager.`sameSiteCookies`
Map of cookie name to same-site attribute value.
Methods in net.shibboleth.shared.net that return CookieManager.SameSiteValue
Modifier and Type
Method
Description
`CookieManager.SameSiteValue`
CookieManager.`getSameSite()`
Gets the SameSite attribute.
`static CookieManager.SameSiteValue`
CookieManager.SameSiteValue.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CookieManager.SameSiteValue[]`
CookieManager.SameSiteValue.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in net.shibboleth.shared.net with parameters of type CookieManager.SameSiteValue
Modifier and Type
Method
Description
`void`
CookieManager.`setSameSite(CookieManager.SameSiteValue value)`
Sets the SameSite attribute.
Method parameters in net.shibboleth.shared.net with type arguments of type CookieManager.SameSiteValue
Modifier and Type
Method
Description
`void`
CookieManager.`setSameSiteCookies(Map<CookieManager.SameSiteValue,List<String>> map)`
Set the names of cookies to add the same-site attribute to.